/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : Cpu.h
**     Project     : ProcessorExpert
**     Processor   : MK40DX256ZVLQ10
**     Component   : MK40N512LQ100
**     Version     : Component 01.000, Driver 01.03, CPU db: 3.00.001
**     Datasheet   : K40P144M100SF2RM, Rev. 5, 8 May 2011
**     Compiler    : CodeWarrior ARM C Compiler
**     Date/Time   : 2012-04-26, 14:06, # CodeGen: 89
**     Abstract    :
**
**     Settings    :
**
**     Contents    :
**         No public methods
**
**     (c) Freescale Semiconductor
**     2004 All Rights Reserved
**
**     Copyright : 1997 - 2011 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

#ifndef __Cpu_H
#define __Cpu_H

/* MODULE Cpu. */
/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "PE_LDD.h"

/* Active configuration define symbol */
#define PEcfg_MK40DX256ZVLQ10_INTERNAL_RAM 1U

/* Methods configuration constants - generated for all enabled component's methods */

/* Events configuration constants - generated for all enabled component's events */
#define Cpu_OnNMIINT_EVENT_ENABLED

#define CPU_BUS_CLK_HZ                  50000000U /* Initial value of the bus clock frequency in Hz */
#define CPU_CORE_CLK_HZ                 100000000U /* Initial value of the core/system clock frequency in Hz.  */

#define CPU_CLOCK_CONFIG_NUMBER         0x01U /* Specifies number of defined sclock configurations. */

#define CPU_BUS_CLK_HZ_CLOCK_CONFIG0    50000000U /* Value of the bus clock frequency in the clock configuration 0 in Hz. */
#define CPU_CORE_CLK_HZ_CLOCK_CONFIG0   100000000U /* Value of the core/system clock frequency in the clock configuration 0 in Hz. */


#define CPU_XTAL_CLK_HZ                 4000000U /* Value of the external crystal or oscillator clock frequency in Hz */
#define CPU_INT_SLOW_CLK_HZ             32768U /* Value of the slow internal oscillator clock frequency in Hz  */
#define CPU_INT_FAST_CLK_HZ             4000000U /* Value of the fast internal oscillator clock frequency in Hz  */

#define CPU_FAMILY_Kinetis             /* Specification of the core type of the selected cpu */
#define CPU_DERIVATIVE_MK40N512LQ100   /* Name of the selected cpu derivative */
#define CPU_PARTNUM_MK40DX256ZVLQ10    /* Part number of the selected cpu */
#define CPU_LITTLE_ENDIAN              /* The selected cpu uses little endian */

/* CPU frequencies in clock configuration 0 */
#define CPU_CLOCK_CONFIG_0              0x00U /* Clock configuration 0 identifier */
#define CPU_CORE_CLK_HZ_CONFIG_0        100000000UL /* Core clock frequency in clock configuration 0 */
#define CPU_BUS_CLK_HZ_CONFIG_0         50000000UL /* Bus clock frequency in clock configuration 0 */
#define CPU_FLEXBUS_CLK_HZ_CONFIG_0     25000000UL /* Flexbus clock frequency in clock configuration 0 */
#define CPU_FLASH_CLK_HZ_CONFIG_0       25000000UL /* FLASH clock frequency in clock configuration 0 */
#define CPU_USB_CLK_HZ_CONFIG_0         0UL /* USB clock frequency in clock configuration 0 */
#define CPU_PLL_FLL_CLK_HZ_CONFIG_0     0UL /* PLL/FLL clock frequency in clock configuration 0 */
#define CPU_MCGIR_CLK_HZ_CONFIG_0       32768UL /* MCG internal reference clock frequency in clock configuration 0 */
#define CPU_OSCER_CLK_HZ_CONFIG_0       4000000UL /* System OSC external reference clock frequency in clock configuration 0 */
#define CPU_ERCLK32K_CLK_HZ_CONFIG_0    4000000UL /* External reference clock 32k frequency in clock configuration 0 */
#define CPU_MCGFF_CLK_HZ_CONFIG_0       15625UL /* MCG fixed frequency clock */


typedef struct  {
  uint32_t cpu_core_clk_hz;            /* Core clock frequency in clock configuration */
  uint32_t cpu_bus_clk_hz;             /* Bus clock frequency in clock configuration */
  uint32_t cpu_flexbus_clk_hz;         /* Flexbus clock frequency in clock configuration */
  uint32_t cpu_flash_clk_hz;           /* FLASH clock frequency in clock configuration */
  uint32_t cpu_usb_clk_hz;             /* USB clock frequency in clock configuration */
  uint32_t cpu_pll_fll_clk_hz;         /* PLL/FLL clock frequency in clock configuration */
  uint32_t cpu_mcgir_clk_hz;           /* MCG internal reference clock frequency in clock configuration */
  uint32_t cpu_oscer_clk_hz;           /* System OSC external reference clock frequency in clock configuration */
  uint32_t cpu_erclk32k_clk_hz;        /* External reference clock 32k frequency in clock configuration */
  uint32_t cpu_mcgff_clk_hz;           /* MCG fixed frequency clock */
} TCpuClockConfiguration;

/* The array of clock frequencies in configured clock configurations */
extern const TCpuClockConfiguration PE_CpuClockConfigurations[CPU_CLOCK_CONFIG_NUMBER];

/* Global variables */
/*lint -esym(765,SR_reg) Disable MISRA rule (8.10) checking for symbols (SR_reg). The SR_reg is used in inline assembler. */
extern volatile uint8_t SR_reg;        /* Current FAULTMASK register */
/*lint -esym(765,SR_lock) Disable MISRA rule (8.10) checking for symbols (SR_lock). The SR_reg is used in inline assembler. */
extern volatile uint8_t SR_lock;

void PE_low_level_init(void);
/*
** ===================================================================
**     Method      :  PE_low_level_init (component MK40N512LQ100)
**
**     Description :
**         Initializes beans and provides common register initialization. 
**         The method is called automatically as a part of the 
**         application initialization code.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

/* {Default RTOS Adapter} ISR function prototype */
PE_ISR(Cpu_INT_NMIInterrupt);
/*
** ===================================================================
**     Method      :  Cpu_INT_NMIInterrupt (component MK40N512LQ100)
**
**     Description :
**         This ISR services the Non Maskable Interrupt interrupt.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_NMI);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_NMI (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Hard_Fault);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Hard_Fault (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Mem_Manage_Fault);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Mem_Manage_Fault (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Bus_Fault);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Bus_Fault (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Usage_Fault);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Usage_Fault (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved7);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved7 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved8);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved8 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved9);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved9 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved10);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved10 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_SVCall);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_SVCall (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DebugMonitor);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DebugMonitor (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved13);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved13 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_PendableSrvReq);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_PendableSrvReq (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_SysTick);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_SysTick (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA1);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA1 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA2);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA2 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA3);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA3 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA4);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA4 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA5);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA5 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA6);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA6 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA7);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA7 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA8);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA8 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA9);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA9 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA10);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA10 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA11);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA11 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA12);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA12 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA13);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA13 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA14);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA14 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DMA15);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DMA15 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_MCM);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_MCM (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_FTFL);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_FTFL (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Read_Collision);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Read_Collision (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_LVD_LVW);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_LVD_LVW (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_LLW);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_LLW (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Watchdog);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Watchdog (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved39);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved39 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_I2C0);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_I2C0 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_I2C1);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_I2C1 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_SPI0);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_SPI0 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_SPI1);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_SPI1 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_SPI2);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_SPI2 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CAN0_ORed_Message_buffer);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CAN0_ORed_Message_buffer (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CAN0_Bus_Off);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CAN0_Bus_Off (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CAN0_Error);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CAN0_Error (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CAN0_Tx_Warning);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CAN0_Tx_Warning (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CAN0_Rx_Warning);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CAN0_Rx_Warning (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CAN0_Wake_Up);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CAN0_Wake_Up (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved51);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved51 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved52);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved52 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CAN1_ORed_Message_buffer);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CAN1_ORed_Message_buffer (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CAN1_Bus_Off);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CAN1_Bus_Off (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CAN1_Error);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CAN1_Error (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CAN1_Tx_Warning);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CAN1_Tx_Warning (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CAN1_Rx_Warning);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CAN1_Rx_Warning (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CAN1_Wake_Up);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CAN1_Wake_Up (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved59);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved59 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved60);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved60 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_UART0_RX_TX);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_UART0_RX_TX (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_UART0_ERR);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_UART0_ERR (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_UART1_RX_TX);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_UART1_RX_TX (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_UART1_ERR);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_UART1_ERR (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_UART2_RX_TX);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_UART2_RX_TX (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_UART2_ERR);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_UART2_ERR (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_UART3_RX_TX);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_UART3_RX_TX (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_UART3_ERR);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_UART3_ERR (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_UART4_RX_TX);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_UART4_RX_TX (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_UART4_ERR);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_UART4_ERR (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_UART5_RX_TX);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_UART5_RX_TX (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_UART5_ERR);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_UART5_ERR (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_ADC1);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_ADC1 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CMP0);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CMP0 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CMP1);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CMP1 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CMP2);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CMP2 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_FTM0);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_FTM0 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_FTM1);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_FTM1 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_FTM2);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_FTM2 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_CMT);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_CMT (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_RTC);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_RTC (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved83);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved83 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_PIT0);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_PIT0 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_PIT1);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_PIT1 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_PIT2);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_PIT2 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_PIT3);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_PIT3 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_USB0);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_USB0 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_USBDCD);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_USBDCD (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved91);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved91 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved92);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved92 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved93);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved93 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved94);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved94 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_I2S0);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_I2S0 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_SDHC);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_SDHC (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DAC0);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DAC0 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_DAC1);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_DAC1 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_TSI0);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_TSI0 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_MCG);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_MCG (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_LPTimer);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_LPTimer (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_LCD);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_LCD (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_PORTA);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_PORTA (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_PORTB);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_PORTB (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_PORTC);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_PORTC (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_PORTD);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_PORTD (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_PORTE);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_PORTE (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved108);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved108 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved109);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved109 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved110);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved110 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved111);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved111 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved112);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved112 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved113);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved113 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved114);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved114 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved115);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved115 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved116);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved116 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved117);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved117 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved118);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved118 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

PE_ISR(Cpu_ivINT_Reserved119);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivINT_Reserved119 (component MK40N512LQ100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

void __init_hardware(void);
/*
** ===================================================================
**     Method      :  __init_hardware (component MK40N512LQ100)
**
**     Description :
**         Initializes the whole system like timing, external bus, etc.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

/* END Cpu. */

#endif
/* __Cpu_H */

/*
** ###################################################################
**
**     This file was created by Processor Expert 5.3 [05.01]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
